-- phpMyAdmin SQL Dump
-- version 5.1.0
-- https://www.phpmyadmin.net/
--
-- Servidor: 127.0.0.1
-- Temps de generació: 25-05-2021 a les 14:51:47
-- Versió del servidor: 10.4.18-MariaDB
-- Versió de PHP: 7.4.16

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de dades: `propietarispuntcat`
--

DELIMITER $$
--
-- Procediments
--
CREATE DEFINER=`root`@`localhost` PROCEDURE `acceptRefuseUserCommunity` (IN `p_community` VARCHAR(15), IN `p_user` INT(11), IN `p_floor` VARCHAR(15), IN `p_door` VARCHAR(2), IN `p_side` VARCHAR(8), IN `p_belongsTo` VARCHAR(15), IN `p_role` INT(11), IN `p_isAdmin` TINYINT(1))  BEGIN

START TRANSACTION;
IF p_belongsTo = 'accepted' THEN
INSERT INTO hasRole(user, role, community, isAdmin) values (p_user, p_role, p_community, p_isAdmin);
END IF;
UPDATE joincommunity SET belongsTo=p_belongsTo WHERE community=p_community AND user=p_user AND floor=p_floor AND door=p_door AND side=p_side;

COMMIT;

END$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `CreateBoardMinute` (IN `f_description` VARCHAR(255), IN `f_comments` TEXT, IN `f_filename` TEXT, IN `f_community` VARCHAR(15), IN `f_dateMinute` DATE, IN `f_meeting` INT)  BEGIN
    DECLARE f_document_id INT DEFAULT 0;
    DECLARE `rollback` BOOL DEFAULT 0;
DECLARE errno int;
DECLARE msg text;
DECLARE CONTINUE HANDLER FOR SQLEXCEPTION, SQLWARNING
BEGIN
    GET DIAGNOSTICS CONDITION 1 errno = MYSQL_ERRNO, msg = MESSAGE_TEXT;
    SET `rollback` = 1;
END;
    START TRANSACTION;
    INSERT INTO document (description, comments, filename, community) VALUES(f_description, f_comments, f_filename, f_community);
    SET f_document_id = LAST_INSERT_ID();
	INSERT INTO boardminute(id, dateMinute, meeting) VALUES(f_document_id, f_dateMinute, f_meeting);
IF `rollback` THEN 
BEGIN
SELECT 'error' as status, errno, msg AS message;
    ROLLBACK;
    END;
ELSE
    COMMIT;
END IF;
END$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `CreateBudget` (IN `f_description` VARCHAR(255), IN `f_comments` TEXT, IN `f_filename` TEXT, IN `f_community` VARCHAR(15), IN `f_numBudget` VARCHAR(60), IN `f_dateBudget` DATE, IN `f_refurbishment` INT, IN `f_provider` VARCHAR(15))  BEGIN
    DECLARE f_document_id INT DEFAULT 0;
    DECLARE `rollback` BOOL DEFAULT 0;
DECLARE errno int;
DECLARE msg text;
DECLARE CONTINUE HANDLER FOR SQLEXCEPTION, SQLWARNING
BEGIN
    GET DIAGNOSTICS CONDITION 1 errno = MYSQL_ERRNO, msg = MESSAGE_TEXT;
    SET `rollback` = 1;
END;
    START TRANSACTION;
    INSERT INTO document(description, comments, filename, community) VALUES(f_description, f_comments, f_filename, f_community);
    SET f_document_id = LAST_INSERT_ID();

	INSERT INTO budget(id, numBudget, dateBudget, refurbishment, provider) VALUES(f_document_id,f_numBudget, f_dateBudget, f_refurbishment, f_provider);
     IF `rollback` THEN 
BEGIN
SELECT 'error' as status, errno, msg AS message;
    ROLLBACK;
    END;
ELSE
    COMMIT;
END IF;
END$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `createCommunity` (IN `p_community` VARCHAR(15), IN `p_address` TEXT, IN `p_postalCode` VARCHAR(11), IN `p_city` VARCHAR(40), IN `p_country` VARCHAR(40), IN `p_registerDate` DATE, IN `p_latitude` FLOAT, IN `p_longitude` FLOAT, IN `p_user` INT(11), IN `p_name` VARCHAR(40), IN `p_floor` VARCHAR(15), IN `p_door` VARCHAR(2), IN `p_side` VARCHAR(8), IN `p_belongsTo` VARCHAR(15), IN `p_role` INT(11), IN `p_isAdmin` TINYINT(1))  BEGIN
START TRANSACTION;
insert into community (cif, address, postalCode, city, country, registerDate, latitude, longitude) values (p_community, p_address, p_postalCode, p_city, p_country, p_registerDate, p_latitude, p_longitude);

insert into joincommunity(community, user, name, floor, door, side, belongsTo, registerDate) values (p_community, p_user, p_name, p_floor, p_door, p_side, p_belongsTo, p_registerDate);

insert into hasrole(user, role,community, isAdmin) values (p_user, p_role,p_community, p_isAdmin);
COMMIT;
END$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `CreateContract` (IN `f_description` VARCHAR(255), IN `f_comments` TEXT, IN `f_filename` TEXT, IN `f_community` VARCHAR(15), IN `f_numContract` VARCHAR(60), IN `f_initDate` DATE, IN `f_endDate` DATE, IN `f_provider` VARCHAR(15))  BEGIN
 DECLARE f_document_id INT DEFAULT 0;
 DECLARE `rollback` BOOL DEFAULT 0;
 DECLARE errno int;
 DECLARE msg text;
 DECLARE CONTINUE HANDLER FOR SQLEXCEPTION, SQLWARNING
 BEGIN
GET DIAGNOSTICS CONDITION 1 errno = MYSQL_ERRNO, msg = MESSAGE_TEXT;
    
    SET `rollback` = 1;
    END;
     START TRANSACTION;
    INSERT INTO document(description, comments, filename, community) VALUES(f_description, f_comments, f_filename, f_community);
    SET f_document_id = LAST_INSERT_ID();
   
	INSERT INTO contract(id, numContract, initDate, endDate, provider) VALUES(f_document_id,f_numContract, f_initDate, f_endDate, f_provider);
    
IF `rollback` THEN 
BEGIN
SELECT 'error' as status, errno, msg AS message;
    ROLLBACK;
    END;
ELSE
    COMMIT;
END IF;

END$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `CreateDocs` (IN `f_description` VARCHAR(255), IN `f_comments` TEXT, IN `f_filename` TEXT, IN `f_community` VARCHAR(15), IN `f_dateDoc` DATE)  BEGIN
    DECLARE f_document_id INT DEFAULT 0;
    DECLARE `rollback` BOOL DEFAULT 0;
DECLARE errno int;
DECLARE msg text;
DECLARE CONTINUE HANDLER FOR SQLEXCEPTION, SQLWARNING
BEGIN
    GET DIAGNOSTICS CONDITION 1 errno = MYSQL_ERRNO, msg = MESSAGE_TEXT;
    SET `rollback` = 1;
END;
    START TRANSACTION;
    INSERT INTO document(description, comments, filename, community) VALUES(f_description, f_comments, f_filename, f_community);
    SET f_document_id = LAST_INSERT_ID();
  
	INSERT INTO otherdocuments(id, dateDoc) VALUES(f_document_id,f_dateDoc);
     IF `rollback` THEN 
BEGIN
SELECT 'error' as status, errno, msg AS message;
    ROLLBACK;
    END;
ELSE
    COMMIT;
END IF;
END$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `CreateInvoice` (IN `f_description` VARCHAR(255), IN `f_comments` TEXT, IN `f_filename` TEXT, IN `f_community` VARCHAR(15), IN `f_numInvoice` VARCHAR(60), IN `f_dateInvoice` DATE, IN `f_refurbishment` INT, IN `f_provider` VARCHAR(15))  BEGIN
    DECLARE f_document_id INT DEFAULT 0;
    DECLARE `rollback` BOOL DEFAULT 0;
DECLARE errno int;
DECLARE msg text;
DECLARE CONTINUE HANDLER FOR SQLEXCEPTION, SQLWARNING
BEGIN
    GET DIAGNOSTICS CONDITION 1 errno = MYSQL_ERRNO, msg = MESSAGE_TEXT;
    SET `rollback` = 1;
END;
    START TRANSACTION;
    INSERT INTO document (description, comments, filename, community) VALUES(f_description, f_comments, f_filename, f_community);
    SET f_document_id = LAST_INSERT_ID();
   
	INSERT INTO invoice(id, numInvoice, dateInvoice, refurbishment, provider) VALUES(f_document_id,f_numInvoice, f_dateInvoice, f_refurbishment, f_provider);
        IF `rollback` THEN 
BEGIN
SELECT 'error' as status, errno, msg AS message;
    ROLLBACK;
    END;
ELSE
    COMMIT;
END IF;
END$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `createProvider` (IN `p_cif` VARCHAR(15), IN `p_name` VARCHAR(45), IN `p_address` TEXT, IN `p_postalCode` VARCHAR(11), IN `p_city` VARCHAR(40), IN `p_country` VARCHAR(40), IN `p_email` VARCHAR(40), IN `p_phone` INT(11), IN `p_latitude` FLOAT, IN `p_longitude` FLOAT, IN `p_profession` INT(11), IN `p_community` VARCHAR(15), IN `p_role` INT(11))  BEGIN
    DECLARE `rollback` BOOL DEFAULT 0;
DECLARE errno int;
DECLARE msg text;
DECLARE CONTINUE HANDLER FOR SQLEXCEPTION, SQLWARNING
BEGIN
    GET DIAGNOSTICS CONDITION 1 errno = MYSQL_ERRNO, msg = MESSAGE_TEXT;
    SET `rollback` = 1;
END;
    START TRANSACTION;
  
  IF (SELECT COUNT(*) from provider where cif=p_cif > 0) THEN
    BEGIN
   insert into worksto(provider, community, role) values (p_cif, p_community, p_role);
   END;
ELSE
BEGIN
insert into provider (cif, name, address, postalCode, city, country, email, phone, latitude, longitude, profession) values (p_cif, p_name, p_address, p_postalCode, p_city, p_country, p_email, p_phone, p_latitude, p_longitude, p_profession);

insert into worksto(provider, community, role) values (p_cif, p_community, p_role);
   END;
    END IF;

IF `rollback` THEN 
BEGIN
SELECT 'error' as status, errno, msg AS message;
    ROLLBACK;
    END;
ELSE
    COMMIT;
END IF;
END$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `CreateStatement` (IN `f_description` VARCHAR(255), IN `f_comments` TEXT, IN `f_filename` TEXT, IN `f_community` VARCHAR(15), IN `f_dateStatement` DATE, IN `f_user` INT, IN `f_meeting` INT)  BEGIN
    DECLARE f_document_id INT DEFAULT 0;
    DECLARE `rollback` BOOL DEFAULT 0;
DECLARE errno int;
DECLARE msg text;
DECLARE CONTINUE HANDLER FOR SQLEXCEPTION, SQLWARNING
BEGIN
    GET DIAGNOSTICS CONDITION 1 errno = MYSQL_ERRNO, msg = MESSAGE_TEXT;
    SET `rollback` = 1;
END;
    START TRANSACTION;
    INSERT INTO document (description, comments, filename, community) VALUES(f_description, f_comments, f_filename, f_community);
    SET f_document_id = LAST_INSERT_ID();
    
	INSERT INTO statement(id, dateStatement, user, meeting) VALUES(f_document_id, f_dateStatement, f_user, f_meeting);
        IF `rollback` THEN 
BEGIN
SELECT 'error' as status, errno, msg AS message;
    ROLLBACK;
    END;
ELSE
    COMMIT;
END IF;
END$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `CreateSummary` (IN `f_description` VARCHAR(255), IN `f_comments` TEXT, IN `f_filename` TEXT, IN `f_community` VARCHAR(15), IN `f_dateSummary` DATE)  BEGIN
    DECLARE f_document_id INT DEFAULT 0;
    DECLARE `rollback` BOOL DEFAULT 0;
DECLARE errno int;
DECLARE msg text;
DECLARE CONTINUE HANDLER FOR SQLEXCEPTION, SQLWARNING
BEGIN
    GET DIAGNOSTICS CONDITION 1 errno = MYSQL_ERRNO, msg = MESSAGE_TEXT;
    SET `rollback` = 1;
END;
    START TRANSACTION;
    INSERT INTO document (description, comments, filename, community) VALUES(f_description, f_comments, f_filename, f_community);
    SET f_document_id = LAST_INSERT_ID();
    
	INSERT INTO economicsummary(id, dateSummary) VALUES(f_document_id, f_dateSummary);
        IF `rollback` THEN 
BEGIN
SELECT 'error' as status, errno, msg AS message;
    ROLLBACK;
    END;
ELSE
    COMMIT;
END IF;
END$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `updateRoleProvider` (`p_role` INT(11), `p_community` VARCHAR(15), `p_provider` VARCHAR(15))  BEGIN

START TRANSACTION;

UPDATE worksto SET role=4 where role=(SELECT r.id FROM role AS r WHERE r.name='Gestor') AND worksto.community=p_community;

UPDATE worksto SET role = p_role WHERE worksto.community = p_community AND worksto.provider = p_provider;

COMMIT;

END$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `updateRoleUser` (IN `p_role` VARCHAR(45), IN `p_user` VARCHAR(15), IN `p_community` VARCHAR(15))  BEGIN

START TRANSACTION;
SELECT p_role as ``;
UPDATE hasrole SET role=5 where role=(SELECT r.id FROM role AS r WHERE r.name= p_role) AND hasrole.community=p_community;

UPDATE hasrole SET role = (SELECT r.id FROM role AS r WHERE r.name= p_role)  WHERE hasrole.user = p_user AND hasrole.community = p_community;

COMMIT;

END$$

DELIMITER ;

-- --------------------------------------------------------

--
-- Estructura de la taula `advertisement`
--

CREATE TABLE `advertisement` (
  `id` int(11) NOT NULL,
  `name` varchar(30) NOT NULL,
  `description` text NOT NULL,
  `date` datetime NOT NULL,
  `user` int(11) NOT NULL,
  `community` varchar(15) NOT NULL,
  `statement` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `advertisement`
--

INSERT INTO `advertisement` (`id`, `name`, `description`, `date`, `user`, `community`, `statement`) VALUES
(5, 'Videoporter', 'Instal.lació de videoporter', '2021-04-21 00:00:00', 18, 'A000000000', NULL),
(6, 'Antena TV', 'Reparació de la antena TV el dia 3-05-21', '2021-05-29 00:00:00', 18, 'A000000000', NULL),
(7, 'Mudança', 'El pròxim 15 de maig, tindré ocupat gran part del dia l\'ascensor per fer una mudança.\n\nDisculpeu les molèsties.', '2021-05-15 00:00:00', 3, 'A000000000', NULL),
(10, 'Neteja escala', 'La dona de la neteja no podrà venir aquest dia.\n\nDisculpeu les molèsties.', '2021-05-12 00:00:00', 28, 'C123456789', NULL),
(11, 'Pintura escala', 'Caldria repintar totes les portes de la escala ja que es troben en mal estat.', '2021-05-13 00:00:00', 29, 'C987654321', NULL),
(12, 'Bustia comunitat', 'Caldria posar una bústia per a deixar totes les cartes dirigides a la comunitat.', '2021-05-12 00:00:00', 29, 'C987654321', NULL),
(14, 'Retirada de mobles', 'El pròxim dia 15, llençaré alguns mobles antics.', '2021-05-15 00:00:00', 18, 'A000000000', NULL),
(16, 'Retirada de mobles', 'Retirada de mobles el pròxim dissabte', '2021-05-15 00:00:00', 29, 'C987654321', NULL);

-- --------------------------------------------------------

--
-- Estructura de la taula `boardminute`
--

CREATE TABLE `boardminute` (
  `id` int(11) NOT NULL,
  `dateMinute` date NOT NULL,
  `meeting` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `boardminute`
--

INSERT INTO `boardminute` (`id`, `dateMinute`, `meeting`) VALUES
(199, '2021-04-29', 5),
(224, '2021-05-06', 6),
(229, '2021-05-11', 11),
(243, '2021-05-13', 14);

-- --------------------------------------------------------

--
-- Estructura de la taula `budget`
--

CREATE TABLE `budget` (
  `id` int(11) NOT NULL,
  `numBudget` varchar(60) NOT NULL,
  `dateBudget` date NOT NULL,
  `refurbishment` int(11) DEFAULT NULL,
  `provider` varchar(15) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `budget`
--

INSERT INTO `budget` (`id`, `numBudget`, `dateBudget`, `refurbishment`, `provider`) VALUES
(174, '111222111', '2021-04-27', 1, 'P000000001'),
(179, '30001', '2021-04-30', 3, 'P001199221'),
(194, '888888888', '2021-04-30', 3, 'P001199221'),
(227, '4545451-77', '2021-05-11', 6, 'P919848365'),
(241, '1100-1', '2021-05-12', 7, 'P916741532');

-- --------------------------------------------------------

--
-- Estructura de la taula `community`
--

CREATE TABLE `community` (
  `cif` varchar(15) NOT NULL,
  `address` text NOT NULL,
  `postalCode` varchar(11) NOT NULL,
  `city` varchar(40) NOT NULL,
  `country` varchar(40) NOT NULL,
  `registerDate` date NOT NULL,
  `latitude` float NOT NULL,
  `longitude` float NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `community`
--

INSERT INTO `community` (`cif`, `address`, `postalCode`, `city`, `country`, `registerDate`, `latitude`, `longitude`) VALUES
('A000000000', 'Carrer de Casp, 54', '08010', 'Barcelona', 'Espanya', '2021-04-08', 41.3914, 2.1737),
('A109287365', 'Carrer de Malats, 32', '08030', 'Barcelona', 'Espanya', '2021-04-10', 41.4361, 2.18918),
('A111111111', 'Carrer de Roger de Llúria, 28', '08010', 'Barcelona', 'Espanya', '2021-04-08', 41.3912, 2.17192),
('A123123123', 'Carrer del Tajo, 3', '08031', 'Barcelona', 'Espanya', '2021-04-08', 41.4302, 2.16315),
('A888888888', 'Carrer de la Mina, 1', '08173', 'Sant Cugat del Vallès', 'Espanya', '2021-04-11', 41.4761, 2.07905),
('B000111111', 'Carrer de la Primavera, 78', '08905', 'L\'Hospitalet de Llobregat', 'Espanya', '2021-04-21', 41.3698, 2.11065),
('B111000111', 'Carrer de Roc Boronat, 2', '08005', 'Barcelona', 'Espanya', '2021-04-21', 41.397, 2.20237),
('B213324435', 'Carrer de Béjar, 17', '08014', 'Barcelona', 'Espanya', '2021-04-10', 41.376, 2.14612),
('C018942874', 'Carrer Gran de Gràcia, 81', '08012', 'Barcelona', 'Espanya', '2021-04-10', 41.4004, 2.15464),
('C123456789', 'Carrer Gran, 28', '08310', 'Argentona', 'Espanya', '2021-05-10', 41.5547, 2.40135),
('C430321765', 'Carrer del Marquès de Sentmenat, 36', '08014', 'Barcelona', 'Espanya', '2021-04-11', 41.3848, 2.1364),
('C987654321', 'Carrer de Sant Martí, 81', '08290', 'Cerdanyola del Vallès', 'Espanya', '2021-05-11', 41.4909, 2.1393),
('C999999999', 'Carrer de Sardenya, 33', '08005', 'Barcelona', 'Espanya', '2021-04-21', 41.391, 2.18953);

-- --------------------------------------------------------

--
-- Estructura de la taula `contract`
--

CREATE TABLE `contract` (
  `id` int(11) NOT NULL,
  `numContract` varchar(60) NOT NULL,
  `initDate` date NOT NULL,
  `endDate` date NOT NULL,
  `provider` varchar(15) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `contract`
--

INSERT INTO `contract` (`id`, `numContract`, `initDate`, `endDate`, `provider`) VALUES
(171, '1111', '2021-04-27', '2021-05-02', 'P000000002'),
(172, '222222222', '2021-04-27', '2021-05-09', 'P000000000'),
(173, '121212', '2021-04-27', '2021-05-08', 'P000000004'),
(178, '121212100', '2021-04-28', '2022-04-27', 'P999111999'),
(225, '959959959', '2021-05-19', '2021-06-03', 'P000000001'),
(226, '959929-61', '2021-05-12', '2022-05-12', 'P010101010'),
(240, '00001', '2021-05-11', '2021-05-20', 'P652365780');

-- --------------------------------------------------------

--
-- Estructura de la taula `document`
--

CREATE TABLE `document` (
  `id` int(11) NOT NULL,
  `description` text NOT NULL,
  `comments` text DEFAULT NULL,
  `filename` text DEFAULT NULL,
  `community` varchar(15) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `document`
--

INSERT INTO `document` (`id`, `description`, `comments`, `filename`, `community`) VALUES
(171, 'Contracte 1', '', '/public/documents/contractes/1619534374644Contracte 1.pdf', 'A000000000'),
(172, 'Contracte 2', '', '/public/documents/contractes/1619537577962Contracte 2.pdf', 'A000000000'),
(173, 'Contracte 3', '', '/public/documents/contractes/1619538040639Contracte 1.pdf', 'A000000000'),
(174, 'Canvi canonades patis', '', '/public/documents/pressupostos/1619538244866Pressupost 1.pdf', 'A000000000'),
(175, 'Canvi de porta exterior', '', '/public/documents/factures/1619596134318FACTURA.pdf', 'A000000000'),
(176, 'Carta recomanació', '', '/public/documents/altres/1619597543376 Carta.pdf', 'A000000000'),
(177, 'Comptes 2020', 'Tancament comptes anual', '/public/documents/resums_economics/1619620132595 Resum economic 2020.pdf', 'A000000000'),
(178, 'Contracte neteja', '', '/public/documents/contractes/1619623572029 Contracte 1.pdf', 'A000000000'),
(179, 'Impermeabilització coberta', 'Vàlid per 30 dies', '/public/documents/pressupostos/1619623680206 Pressupost 1.pdf', 'A000000000'),
(188, 'Comunicat 2021-04/1', 'Patis interiors', NULL, 'A000000000'),
(190, 'Comunicat 2021-04/2', 'Patis interiors', '/public/documents/comunicats/1619681077122 Comunicat 1.pdf', 'A000000000'),
(192, 'Comunicat 2021-04/3', 'Portes Ascensor', '/public/documents/comunicats/1619771409044 Comunicat.pdf', 'A000000000'),
(193, 'Comunicat 2021-04/4', '', '/public/documents/comunicats/1619772831348 Comunicat.pdf', 'A000000000'),
(194, 'Impermeabilització coberta', '', '/public/documents/pressupostos/1619775965092 Pressupost.pdf', 'A000000000'),
(195, 'Carta Administrador', 'Queixes veins', '/public/documents/altres/1619776509993 Documentació varia.pdf', 'A000000000'),
(196, 'Comunicat 2021-03/1', '', '/public/documents/comunicats/1619776698527 Comunicat.pdf', 'A000000000'),
(197, '2021-1Q', 'null', '/public/documents/resums_economics/1619776724832 Resum economic.pdf', 'A000000000'),
(198, 'Canvis normatius', 'Canvis normatius sobre la regulació de manteniment de façanes', '/public/documents/altres/1619776892168 Documentació varia.pdf', 'A000000000'),
(199, 'Junta Ordinària', 'Comentaris addicionals', '/public/documents/actes/1619781151416 Acta.pdf', 'A000000000'),
(224, 'Junta Ordinària', '', '/public/documents/actes/1620381157840 Acta.pdf', 'A000000000'),
(225, 'Contracte de prova', '', '/public/documents/contractes/1620382965575 Contracte 1.pdf', 'A000000000'),
(226, 'Contracte Administrador Finques', 'Renovació automàtica anual', '/public/documents/contractes/1620728277055 Contracte 1.pdf', 'C123456789'),
(227, 'Restauració porta', 'Vàlid per 30 dies', '/public/documents/pressupostos/1620728353075 Pressupost.pdf', 'C123456789'),
(228, 'Restauració porta', 'Pagament a 30 dies', '/public/documents/factures/1620728410776 FACTURA.pdf', 'C123456789'),
(229, 'Junta Ordinària', 'null', '/public/documents/actes/1620728467438 Acta.pdf', 'C123456789'),
(230, 'Tancament anual 2020', 'null', '/public/documents/resums_economics/1620728523042 Resum economic.pdf', 'C123456789'),
(237, 'Junta Ordinària', 'Convocatòria Junta', '/public/documents/comunicats/1620730971764 Comunicat.pdf', 'C123456789'),
(238, 'Documentació varia', 'Normativa espais comuns', '/public/documents/altres/1620731074243 Documentació varia.pdf', 'C123456789'),
(239, 'Junta Extraordinària', '', '/public/documents/comunicats/1620738475551 Comunicat.pdf', 'C123456789'),
(240, 'Contracte tipus', '', '/public/documents/contractes/1620744203003 Contracte 1.pdf', 'C987654321'),
(241, 'Barana escala', 'Vàlid per 60 dies', '/public/documents/pressupostos/1620744242704 Pressupost.pdf', 'C987654321'),
(242, 'Barana escala', 'Pagat al comptat', '/public/documents/factures/1620744292853 Factura 1.pdf', 'C987654321'),
(243, 'Junta veïns', '', '/public/documents/actes/1620744318083 Acta.pdf', 'C987654321'),
(244, 'Tacament exercici 2020', 'Resum annual comptes', '/public/documents/resums_economics/1620744359226 Resum economic.pdf', 'C987654321'),
(245, 'Junta veïns', 'Convocatòria', '/public/documents/comunicats/1620744390058 Comunicat.pdf', 'C987654321'),
(246, 'Requeriment Ajuntament', 'Notificació', '/public/documents/altres/1620744469441 Documentació varia.pdf', 'C987654321');

-- --------------------------------------------------------

--
-- Estructura de la taula `economicsummary`
--

CREATE TABLE `economicsummary` (
  `id` int(11) NOT NULL,
  `dateSummary` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `economicsummary`
--

INSERT INTO `economicsummary` (`id`, `dateSummary`) VALUES
(177, '2021-04-28'),
(197, '2021-04-30'),
(230, '2021-05-11'),
(244, '2021-05-11');

-- --------------------------------------------------------

--
-- Estructura de la taula `hasrole`
--

CREATE TABLE `hasrole` (
  `user` int(11) NOT NULL,
  `role` int(11) NOT NULL,
  `community` varchar(15) NOT NULL,
  `isAdmin` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `hasrole`
--

INSERT INTO `hasrole` (`user`, `role`, `community`, `isAdmin`) VALUES
(1, 3, 'A000000000', 0),
(1, 5, 'A111111111', 1),
(1, 5, 'B213324435', 1),
(2, 5, 'A000000000', 0),
(3, 5, 'A000000000', 0),
(3, 5, 'A123123123', 1),
(4, 5, 'C999999999', 1),
(6, 5, 'A888888888', 1),
(9, 5, 'A109287365', 1),
(9, 5, 'C018942874', 1),
(14, 5, 'C430321765', 1),
(18, 5, 'A000000000', 1),
(18, 5, 'A109287365', 0),
(19, 2, 'A000000000', 0),
(20, 5, 'B111000111', 1),
(21, 5, 'B000111111', 1),
(26, 1, 'A000000000', 0),
(28, 3, 'C123456789', 1),
(29, 5, 'C987654321', 1);

-- --------------------------------------------------------

--
-- Estructura de la taula `invoice`
--

CREATE TABLE `invoice` (
  `id` int(11) NOT NULL,
  `numInvoice` varchar(60) NOT NULL,
  `dateInvoice` date NOT NULL,
  `refurbishment` int(11) NOT NULL,
  `provider` varchar(15) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `invoice`
--

INSERT INTO `invoice` (`id`, `numInvoice`, `dateInvoice`, `refurbishment`, `provider`) VALUES
(175, '222222222', '2021-04-28', 2, 'P000000004'),
(228, '202105555', '2021-05-13', 6, 'P919848365'),
(242, 'F65452-10', '2021-05-12', 7, 'P916741532');

-- --------------------------------------------------------

--
-- Estructura de la taula `joincommunity`
--

CREATE TABLE `joincommunity` (
  `community` varchar(15) NOT NULL,
  `user` int(11) NOT NULL,
  `name` varchar(40) DEFAULT NULL,
  `floor` varchar(15) DEFAULT NULL,
  `door` varchar(2) DEFAULT NULL,
  `side` varchar(8) DEFAULT NULL,
  `belongsTo` varchar(15) NOT NULL,
  `registerDate` date NOT NULL,
  `estateAdministrator` tinyint(1) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `joincommunity`
--

INSERT INTO `joincommunity` (`community`, `user`, `name`, `floor`, `door`, `side`, `belongsTo`, `registerDate`, `estateAdministrator`) VALUES
('A000000000', 18, 'casp, 54', '1', '1', 'A', 'accepted', '2021-04-08', 0),
('A111111111', 1, 'Roger Lluria 28', '2', '2', 'A', 'accepted', '2021-04-08', 0),
('A123123123', 3, 'Comunitat Tajo', '3', '3', 'B', 'accepted', '2021-04-08', 0),
('A109287365', 9, 'Malats 32', '1', '1', 'A', 'accepted', '2021-04-10', 0),
('B213324435', 1, 'Bejar 17', '1', '1', 'A', 'accepted', '2021-04-10', 0),
('C018942874', 9, 'Gran 81', '1', '1', 'B', 'accepted', '2021-04-10', 0),
('C430321765', 14, 'Sentmenat', '2', '1', 'A', 'accepted', '2021-04-08', 0),
('A888888888', 6, 'Mina', '1', '1', 'A', 'accepted', '2021-04-11', 0),
('A888888888', 18, 'Mina-1', '3', '4', 'C', 'pending', '2021-04-12', 0),
('A109287365', 18, 'Malats', '3', '3', 'B', 'accepted', '2021-04-21', 0),
('A111111111', 18, 'Lluria', '2', '4', 'B', 'pending', '2021-04-21', 0),
('A000000000', 2, 'Casp-54', '2', '4', 'A', 'accepted', '2021-04-21', 0),
('A000000000', 1, 'Casp', '1', '3', 'A', 'accepted', '2021-04-21', 0),
('A000000000', 3, 'Casp, 54', '1', '4', 'A', 'accepted', '2021-04-21', 0),
('A000000000', 20, 'Casp', '1', '1', 'B', 'accepted', '2021-04-21', 0),
('A000000000', 17, 'Casp', '1', '2', 'B', 'accepted', '2021-04-21', 0),
('A000000000', 17, 'Casp', '1', '3', 'B', 'refused', '2021-04-21', 0),
('B000111111', 21, 'Primavera', '1', '1', 'A', 'accepted', '2021-04-21', 0),
('B111000111', 20, 'Roc Boronat', '1', '1', 'A', 'accepted', '2021-04-21', 0),
('C999999999', 4, 'Sardenya 33', '1', '1', 'A', 'accepted', '2021-04-21', 0),
('A123123123', 18, 'Tajo 3', '2', '1', 'A', 'pending', '2021-04-22', 0),
('A111111111', 18, 'Roger de Lluria', '3', '1', 'A', 'pending', '2021-04-22', 0),
('A000000000', 18, 'Casp 54', '3', '3', 'B', 'refused', '2021-04-27', 0),
('A000000000', 7, 'casp 54', '3', '3', 'A', 'pending', '2021-04-27', 0),
('A000000000', 19, 'Casp', '3', '2', 'A', 'accepted', '2021-04-27', 0),
('A000000000', 26, 'Casp-54', '', '', '', 'accepted', '2021-05-06', 1),
('A109287365', 25, 'Malats 28', '3', '1', 'B', 'pending', '2021-05-06', 0),
('A000000000', 28, 'Pis Casp', '4', '1', 'B', 'pending', '2021-05-10', 0),
('C123456789', 28, 'Pis Argentona', '1', '1', 'A', 'accepted', '2021-05-10', 0),
('C987654321', 29, 'Pis Sant Marti', '1', '1', 'A', 'accepted', '2021-05-11', 0),
('A000000000', 29, 'Pis Casp', '3', '4', 'B', 'pending', '2021-05-11', 0);

-- --------------------------------------------------------

--
-- Estructura de la taula `meeting`
--

CREATE TABLE `meeting` (
  `id` int(11) NOT NULL,
  `description` varchar(60) NOT NULL,
  `date` datetime NOT NULL,
  `place` varchar(128) NOT NULL,
  `community` varchar(15) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `meeting`
--

INSERT INTO `meeting` (`id`, `description`, `date`, `place`, `community`) VALUES
(5, 'Junta Ordinària', '2021-04-29 20:30:00', 'Vestíbul', 'A000000000'),
(6, 'Junta Ordinària', '2021-05-06 20:00:00', 'Vestíbul', 'A000000000'),
(7, 'Junta Ordinària', '2021-05-16 20:00:00', 'Vestíbul', 'A000000000'),
(9, 'Junta Extraordinària', '2021-05-12 20:00:00', 'Vestíbul', 'A000000000'),
(10, 'Junta Extraordinaria', '2021-05-13 20:30:00', 'Parking', 'A000000000'),
(11, 'Junta Ordinària', '2021-05-11 20:30:00', 'Parking Edifici', 'C123456789'),
(13, 'Junta Extraordinària', '2021-05-26 20:30:00', 'Parking', 'C123456789'),
(14, 'Junta veïns', '2021-05-13 20:30:00', 'Vestíbul comunitat', 'C987654321');

-- --------------------------------------------------------

--
-- Estructura de la taula `otherdocuments`
--

CREATE TABLE `otherdocuments` (
  `id` int(11) NOT NULL,
  `dateDoc` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `otherdocuments`
--

INSERT INTO `otherdocuments` (`id`, `dateDoc`) VALUES
(176, '2021-04-28'),
(195, '2021-04-30'),
(198, '2021-04-30'),
(238, '2021-05-12'),
(246, '2021-05-11');

-- --------------------------------------------------------

--
-- Estructura de la taula `phone`
--

CREATE TABLE `phone` (
  `id` int(11) NOT NULL,
  `name` varchar(40) NOT NULL,
  `numberphone` varchar(11) NOT NULL,
  `community` varchar(15) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `phone`
--

INSERT INTO `phone` (`id`, `name`, `numberphone`, `community`) VALUES
(12, 'Emergències', '112', 'A000000000'),
(13, 'Ajuntament de Barcelona', '010', 'A000000000'),
(28, 'Serralleria Vilallonga', '688888888', 'A000000000'),
(48, 'Ajuntament d\'Argentona', '937974900', 'C123456789'),
(50, 'Serralleria 24h Jofre', '93995885', 'C987654321'),
(51, 'Bombers', '0810', 'C987654321'),
(57, 'eee', '23231123', 'A000000000');

-- --------------------------------------------------------

--
-- Estructura de la taula `profession`
--

CREATE TABLE `profession` (
  `id` int(11) NOT NULL,
  `name` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `profession`
--

INSERT INTO `profession` (`id`, `name`) VALUES
(1, 'Administrador de Finques'),
(31, 'Assegurances'),
(6, 'Fontaneria'),
(7, 'Fusteria'),
(8, 'Neteja'),
(3, 'Obra Civil'),
(5, 'Pintura'),
(2, 'Portes'),
(4, 'Videoporter');

-- --------------------------------------------------------

--
-- Estructura de la taula `provider`
--

CREATE TABLE `provider` (
  `cif` varchar(15) NOT NULL,
  `name` varchar(45) NOT NULL,
  `address` text NOT NULL,
  `postalcode` varchar(11) NOT NULL,
  `city` varchar(40) NOT NULL,
  `country` varchar(40) NOT NULL,
  `email` varchar(60) DEFAULT NULL,
  `phone` int(11) DEFAULT NULL,
  `latitude` float NOT NULL,
  `longitude` float NOT NULL,
  `profession` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `provider`
--

INSERT INTO `provider` (`cif`, `name`, `address`, `postalcode`, `city`, `country`, `email`, `phone`, `latitude`, `longitude`, `profession`) VALUES
('O918276271', 'Tot Colors, S.L.', 'Carrer d\'En Prim, 3', '08911', 'Badalona', 'Espanya', 'totcolors@gmail.com', 932315456, 41.4544, 2.24916, 5),
('P000000000', 'Finques Masip S.L.', 'Carrer de la Riera, 31', '08370', 'Calella', 'Espanya', 'masip@gmail.com', 951753962, 41.6131, 2.65553, 1),
('P000000001', 'Fontaneria Demo 1', 'Carrer de la Verge, 1', '08001', 'Barcelona', 'Espanya', 'demo1@demo.cat', 197382465, 41.3837, 2.16476, 6),
('P000000002', 'Finques Cases S.L.', 'Carrer de Muntadas, 1', '08014', 'Barcelona', 'Espanya', 'cases@demo.cat', 913746826, 41.3774, 2.14048, 1),
('P000000004', 'Portes Valles', 'Carrer de la Fusteria, 3', '08002', 'Barcelona', 'Espanya', 'valles@valles.cat', 600600600, 41.3815, 2.18102, 2),
('P001199221', 'Reformes Integrals JPG S.L', 'Carrer de Sabadell, 14', '08191', 'Rubí', 'Espanya', 'jpg@gmail.com', 698698698, 41.4943, 2.03363, 3),
('P010101010', 'Finques Martí S.L.', 'Carrer d\'Argentona, 2', '08302', 'Mataró', 'Espanya', 'marti@gmail.com', 654291736, 41.5412, 2.44388, 1),
('P090909090', 'Fusteria Lluc SL', 'Carrer Major, 13', '08921', 'Santa Coloma de Gramenet', 'Espanya', 'lluc@gmail.com', 324786651, 41.4534, 2.2082, 7),
('P222000222', 'Sistemes Digitals ACME', 'Carrer de Francesc Carbonell, 45', '08034', 'Barcelona', 'Espanya', 'acme@gmail.com', 623193238, 41.394, 2.12749, 4),
('P300300300', 'Pintures Martinez S.L.', 'Carrer del Pedraforca, 22', '08905', 'L\'Hospitalet de Llobregat', 'Espanya', 'martinez@gmail.com', 982540283, 41.3733, 2.11081, 5),
('P565454858', 'Germans Garcia, S.L.', 'Carrer de la Mare de Déu del Coll, 22', '08023', 'Barcelona', 'Espanya', 'garcia@gmail.com', 938784741, 41.409, 2.15003, 6),
('P652365780', 'Finques  Pujol', 'Avinguda de la Primavera, 22', '08290', 'Cerdanyola del Vallès', 'Espanya', 'finquespujol@gmail.com', 937891472, 41.4904, 2.1449, 1),
('P812812812', 'Pintures Marcos S.L.', 'Carrer de Rocafort, 44', '08015', 'Barcelona', 'Espanya', 'pinturesmarcos@gmail.com', 678678678, 41.3777, 2.15587, 5),
('P916741532', 'Fusteria REC, S.L.', 'Plaça Francesc Layret, s/n', '08290', 'Cerdanyola del Vallès', 'Espanya', 'fusteriarec@gmail.com', 931237533, 41.491, 2.14082, 7),
('P919848365', 'Fusteria Salvat S.L.', 'Carrer Barcelona, 33', '08310', 'Argentona', 'Espanya', 'salvat@salvat.cat', 934561654, 41.5532, 2.40335, 7),
('P929929929', 'Insta.lacions Perez, S.L.', 'Carrer de Mir, 3', '08030', 'Barcelona', 'Espanya', 'perez@gmail.com', 935556665, 41.4361, 2.18645, 6),
('P999111999', 'Neteges Bonet S.L.', 'Carrer de Mandri, 3', '08022', 'Barcelona', 'Espanya', 'bonet@gmail.com', 848484848, 41.4017, 2.13529, 8);

-- --------------------------------------------------------

--
-- Estructura de la taula `refurbishment`
--

CREATE TABLE `refurbishment` (
  `id` int(11) NOT NULL,
  `description` varchar(60) NOT NULL,
  `provider` varchar(15) NOT NULL,
  `community` varchar(15) NOT NULL,
  `workState` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `refurbishment`
--

INSERT INTO `refurbishment` (`id`, `description`, `provider`, `community`, `workState`) VALUES
(1, 'Canvi canonades patis', 'P000000001', 'A000000000', 2),
(2, 'Canvi de porta exterior', 'P000000004', 'A000000000', 1),
(3, 'Impermeabilització coberta', 'P001199221', 'A000000000', 2),
(5, 'Pintar façana', 'P812812812', 'A000000000', 1),
(6, 'Restauració porta', 'P919848365', 'C123456789', 1),
(7, 'Barana escala', 'P916741532', 'C987654321', 1),
(8, 'Impermeabilització coberta', 'P001199221', 'A000000000', 3),
(10, 'Prova', 'P000000000', 'A000000000', 1),
(11, 'Canvi comptador aigüa, veí 2-2, B', 'P565454858', 'C987654321', 1);

-- --------------------------------------------------------

--
-- Estructura de la taula `role`
--

CREATE TABLE `role` (
  `id` int(11) NOT NULL,
  `name` varchar(45) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `role`
--

INSERT INTO `role` (`id`, `name`) VALUES
(1, 'Gestor'),
(2, 'President'),
(3, 'Secretari'),
(4, 'Proveidor'),
(5, 'Propietari');

-- --------------------------------------------------------

--
-- Estructura de la taula `statement`
--

CREATE TABLE `statement` (
  `id` int(11) NOT NULL,
  `dateStatement` date NOT NULL,
  `user` int(11) NOT NULL,
  `meeting` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `statement`
--

INSERT INTO `statement` (`id`, `dateStatement`, `user`, `meeting`) VALUES
(188, '2021-04-29', 18, NULL),
(190, '2021-04-29', 18, NULL),
(192, '2021-04-30', 18, NULL),
(193, '2021-04-30', 18, NULL),
(196, '2021-04-30', 18, NULL),
(237, '2021-05-11', 28, 11),
(239, '2021-05-26', 28, 13),
(245, '2021-05-13', 29, 14);

-- --------------------------------------------------------

--
-- Estructura de la taula `user`
--

CREATE TABLE `user` (
  `id` int(11) NOT NULL,
  `name` varchar(40) NOT NULL,
  `fullname` varchar(60) NOT NULL,
  `phone` int(11) DEFAULT NULL,
  `email` text NOT NULL,
  `password` varchar(60) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `user`
--

INSERT INTO `user` (`id`, `name`, `fullname`, `phone`, `email`, `password`) VALUES
(1, 'Raul', 'Cases Poch', 102102102, 'racapoch@gmail.com', '$2b$10$8UC9rPzfzIIzrfnpN41eeObfj8oLOP2frbXYkXIHEEt1fC95xfN2q'),
(2, 'Eduard', 'Pont Lopez', 203203204, 'epont@gmail.com', '$2b$10$0Jma2H5pZ/m6WBga48xlXOGaPXu7Yd4VmkGBozCGPBBu5tUJ.V2Em'),
(3, 'Susana', 'Lima Noguera', 654321986, 'sulima@gmail.com', '$2b$10$W1H9OzABTQ11YHNf8ZB7S.LDVj9Lru2D5Jc9kBwSmn7F5ygSho7gW'),
(4, 'Cristina', 'Lluc Garcia', 111101111, 'crislluc@gmail.com', '$2b$10$6A65097aEuF8wOeG7rEFfem3m1/Tomj.togA8IL0CRxv3pLhv0Ovu'),
(5, 'Carles', 'Diaz Lopez', 111111111, 'carlesdiaz@gmail.com', '$2b$10$YoxqPbbzDLdrpXeCo3dkoOv49ArLiLUiZbNBT.qGDEVXwi30P6pHO'),
(6, 'Raquel', 'Vera Marina', NULL, 'ravera@gmail.com', '$2b$10$ZJAfRfm1L56XylWGz1NWX.53CeX9RAnBH.vxomWvkRk8lMfYjs4zG'),
(7, 'Miquel', 'Lluna Pons', 333333333, 'miqui@gmail.com', '$2b$10$5KGfgozqSP3FGqgM1w1teenUt5svdRZC./24frsbcJWRpfoXi3kuW'),
(9, 'Sonia', 'Alcantara Fernandez', 333303333, 'sonia@gmail.com', '$2b$10$UUl91ypaQS6x7mbchDZylO0TvstgTT7s7ZLkhHGwoCdPdK992UXNK'),
(13, 'Maria', 'Sunyer Vila', 333303333, 'mariasun@gmail.com', '$2b$10$V68ae85KIMtM.DB/eKeiEuy08DLqTex.cWQkgGfQ0nMY6.2C6h9Mu'),
(14, 'Robert', 'Feliu Vilalta', 333303333, 'robertfe@gmail.com', '$2b$10$whtkToBGb0E1zdpZD28hF.KFnDeN0TCoWAkdGpDQ6F9gj86OF9BLu'),
(15, 'Pere', 'Pons Andres', 333393333, 'perepons@gmail.com', '$2b$10$KuErl8uArQroqZhWPFyaZOFeiK6ivJtfGZ7JMUAux4kHc0Qot2Y02'),
(16, 'Joan', 'Rovira Garcia', 333993333, 'joanroga@gmail.com', '$2b$10$jnnFz4NST2wmLSOJZMy8cez8IxRGnc65L480OPwTwUi59Q8tCTNSa'),
(17, 'Marta', 'Vela Cid', 333999333, 'martavela@gmail.com', '$2b$10$byf5l.1CdPcGvD/iW1a/K.D/zrmzuA4HVXjNPcOi77QkLfUIxyOSG'),
(18, 'Sergi', 'Vila Capa', 626626627, 'sergivila@gmail.com', '$2b$10$rj4S2FhHY/iQ7GGCa8zLo.hEzbMaLtxq.70nedlk2GeVP.IMxEMtW'),
(19, 'Pere', 'Sanz Pujol', 852852852, 'psanz@gmail.com', '$2b$10$VzYg.uhje8cznJ6Iqrz8x.aqNtrX.wn9CPQ1zDY6H1yJeo6v0tYmq'),
(20, 'Marc', 'Grau Vilalta', 607707707, 'marcgrau@gmail.com', '$2b$10$aCcKaFZ.kh0nIcv9CRyZCeeasfChUbCH2pc2v1ewvylnudwkGxVme'),
(21, 'Miriam', 'Segura Fuentes', 699699699, 'miriam@gmail.com', '$2b$10$ATFaoQ5gt.53uMaDOc/TBOqBVdp8WNMCS8XOEprZTsw2GYdGJ0egC'),
(23, 'Eduard', 'Pere Fite', NULL, 'eduard@gmail.com', '$2b$10$VKY5Ql9Nnn2PgrwyFDGEKel3UgyVNKQCWpk70n3qa7btz.QWGDdsW'),
(24, 'Gemma', 'Torrent Feliu', 612612612, 'gemmatorrent@gmail.com', '$2b$10$cYv8EmLXVfvqV4na4py23.9ZKv5RXLIBcSI5vJeEtCGiBTglmevDu'),
(25, 'Nuria', 'Gil Roca', 616522895, 'nuriagil@gmail.com', '$2b$10$B8RFL0p9mOY7rOqX/nDz9ucRqcMCimvyWgDz9MhcJKL2ad5oncXsS'),
(26, 'Administrador', 'Casp 54', NULL, 'admincasp54@gmail.com', '$2b$10$MzbISUnzVQ/pZbwudjc1ROMGH/VHOVif96NWDzYQXe8MQXvxAn5v6'),
(27, 'Sergi', 'Macias Grau', NULL, 'sergimacias@gmail.com', '$2b$10$OVeAut1hlLlWLApixIUqsep5x1StAZ/U7QtZdrntq3aNCzBiakl1W'),
(28, 'Silvia', 'Fort Granell', 651651653, 'silviafort@gmail.com', '$2b$10$gryLQjX3vNIdgFMArkxPmOMGElvD1xVgVe9e0YqX9Ena7x0shDchy'),
(29, 'Germà', 'Domenech Vila', 678239876, 'germadovi@gmail.com', '$2b$10$f2zHZxQwbMuzbqdZepsI6eQud8KWyt2lxAfwVooJuX4D0FPYDF4ra');

-- --------------------------------------------------------

--
-- Estructura de la taula `workstate`
--

CREATE TABLE `workstate` (
  `id` int(11) NOT NULL,
  `name` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `workstate`
--

INSERT INTO `workstate` (`id`, `name`) VALUES
(1, 'Pendent'),
(2, 'Acceptat'),
(3, 'Rebutjat'),
(4, 'Acabat');

-- --------------------------------------------------------

--
-- Estructura de la taula `worksto`
--

CREATE TABLE `worksto` (
  `provider` varchar(15) NOT NULL,
  `community` varchar(15) NOT NULL,
  `role` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Bolcament de dades per a la taula `worksto`
--

INSERT INTO `worksto` (`provider`, `community`, `role`) VALUES
('O918276271', 'A123123123', 4),
('P000000000', 'A000000000', 4),
('P000000000', 'A123123123', 4),
('P000000001', 'A000000000', 4),
('P000000002', 'A000000000', 1),
('P000000004', 'A000000000', 4),
('P001199221', 'A000000000', 4),
('P010101010', 'C123456789', 1),
('P090909090', 'C999999999', 4),
('P300300300', 'A123123123', 4),
('P300300300', 'C999999999', 4),
('P565454858', 'C987654321', 4),
('P652365780', 'C987654321', 4),
('P812812812', 'A000000000', 4),
('P916741532', 'C987654321', 4),
('P919848365', 'C123456789', 4),
('P929929929', 'A123123123', 4),
('P999111999', 'A000000000', 4);

--
-- Índexs per a les taules bolcades
--

--
-- Índexs per a la taula `advertisement`
--
ALTER TABLE `advertisement`
  ADD PRIMARY KEY (`id`),
  ADD KEY `community` (`community`),
  ADD KEY `user` (`user`),
  ADD KEY `statement` (`statement`);

--
-- Índexs per a la taula `boardminute`
--
ALTER TABLE `boardminute`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `dateMinute` (`dateMinute`),
  ADD KEY `boardMinute_ibfk_2` (`meeting`);

--
-- Índexs per a la taula `budget`
--
ALTER TABLE `budget`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `numBudget` (`numBudget`),
  ADD KEY `budget_ibfk_2` (`refurbishment`),
  ADD KEY `budget_ibfk_3` (`provider`);

--
-- Índexs per a la taula `community`
--
ALTER TABLE `community`
  ADD PRIMARY KEY (`cif`);

--
-- Índexs per a la taula `contract`
--
ALTER TABLE `contract`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `numContract` (`numContract`),
  ADD KEY `provider` (`provider`);

--
-- Índexs per a la taula `document`
--
ALTER TABLE `document`
  ADD PRIMARY KEY (`id`),
  ADD KEY `community` (`community`);

--
-- Índexs per a la taula `economicsummary`
--
ALTER TABLE `economicsummary`
  ADD PRIMARY KEY (`id`);

--
-- Índexs per a la taula `hasrole`
--
ALTER TABLE `hasrole`
  ADD UNIQUE KEY `user_2` (`user`,`role`,`community`),
  ADD KEY `community` (`community`),
  ADD KEY `user` (`user`),
  ADD KEY `role` (`role`);

--
-- Índexs per a la taula `invoice`
--
ALTER TABLE `invoice`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `numInvoice` (`numInvoice`),
  ADD KEY `invoice_ibfk_2` (`refurbishment`) USING BTREE,
  ADD KEY `provider` (`provider`);

--
-- Índexs per a la taula `joincommunity`
--
ALTER TABLE `joincommunity`
  ADD UNIQUE KEY `uc_user_community` (`community`,`floor`,`door`,`side`) USING BTREE,
  ADD KEY `community` (`community`),
  ADD KEY `user` (`user`);

--
-- Índexs per a la taula `meeting`
--
ALTER TABLE `meeting`
  ADD PRIMARY KEY (`id`),
  ADD KEY `community` (`community`);

--
-- Índexs per a la taula `otherdocuments`
--
ALTER TABLE `otherdocuments`
  ADD PRIMARY KEY (`id`);

--
-- Índexs per a la taula `phone`
--
ALTER TABLE `phone`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `numberphone` (`numberphone`,`community`),
  ADD KEY `phone_ibk_1` (`community`);

--
-- Índexs per a la taula `profession`
--
ALTER TABLE `profession`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `name` (`name`);

--
-- Índexs per a la taula `provider`
--
ALTER TABLE `provider`
  ADD PRIMARY KEY (`cif`),
  ADD UNIQUE KEY `email` (`email`),
  ADD KEY `profession` (`profession`);

--
-- Índexs per a la taula `refurbishment`
--
ALTER TABLE `refurbishment`
  ADD PRIMARY KEY (`id`),
  ADD KEY `provider` (`provider`),
  ADD KEY `community` (`community`),
  ADD KEY `workState` (`workState`);

--
-- Índexs per a la taula `role`
--
ALTER TABLE `role`
  ADD PRIMARY KEY (`id`);

--
-- Índexs per a la taula `statement`
--
ALTER TABLE `statement`
  ADD PRIMARY KEY (`id`),
  ADD KEY `user` (`user`),
  ADD KEY `statement_ibfk_3` (`meeting`);

--
-- Índexs per a la taula `user`
--
ALTER TABLE `user`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `email` (`email`) USING HASH,
  ADD UNIQUE KEY `email_2` (`email`) USING HASH;

--
-- Índexs per a la taula `workstate`
--
ALTER TABLE `workstate`
  ADD PRIMARY KEY (`id`);

--
-- Índexs per a la taula `worksto`
--
ALTER TABLE `worksto`
  ADD UNIQUE KEY `provider` (`provider`,`community`,`role`),
  ADD KEY `worksto_ibfk_1` (`community`),
  ADD KEY `worksto_ibfk_3` (`role`);

--
-- AUTO_INCREMENT per les taules bolcades
--

--
-- AUTO_INCREMENT per la taula `advertisement`
--
ALTER TABLE `advertisement`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;

--
-- AUTO_INCREMENT per la taula `document`
--
ALTER TABLE `document`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=247;

--
-- AUTO_INCREMENT per la taula `meeting`
--
ALTER TABLE `meeting`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- AUTO_INCREMENT per la taula `phone`
--
ALTER TABLE `phone`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=61;

--
-- AUTO_INCREMENT per la taula `profession`
--
ALTER TABLE `profession`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=32;

--
-- AUTO_INCREMENT per la taula `refurbishment`
--
ALTER TABLE `refurbishment`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT per la taula `role`
--
ALTER TABLE `role`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT per la taula `user`
--
ALTER TABLE `user`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=30;

--
-- AUTO_INCREMENT per la taula `workstate`
--
ALTER TABLE `workstate`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- Restriccions per a les taules bolcades
--

--
-- Restriccions per a la taula `advertisement`
--
ALTER TABLE `advertisement`
  ADD CONSTRAINT `advertisement_ibfk_1` FOREIGN KEY (`community`) REFERENCES `community` (`cif`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `advertisement_ibfk_2` FOREIGN KEY (`user`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `advertisement_ibfk_3` FOREIGN KEY (`statement`) REFERENCES `statement` (`id`) ON DELETE SET NULL ON UPDATE SET NULL;

--
-- Restriccions per a la taula `boardminute`
--
ALTER TABLE `boardminute`
  ADD CONSTRAINT `boardMinute_ibfk_1` FOREIGN KEY (`id`) REFERENCES `document` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `boardMinute_ibfk_2` FOREIGN KEY (`meeting`) REFERENCES `meeting` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Restriccions per a la taula `budget`
--
ALTER TABLE `budget`
  ADD CONSTRAINT `budget_ibfk_1` FOREIGN KEY (`id`) REFERENCES `document` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `budget_ibfk_2` FOREIGN KEY (`refurbishment`) REFERENCES `refurbishment` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `budget_ibfk_3` FOREIGN KEY (`provider`) REFERENCES `provider` (`cif`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Restriccions per a la taula `contract`
--
ALTER TABLE `contract`
  ADD CONSTRAINT `contract_ibfk_1` FOREIGN KEY (`id`) REFERENCES `document` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `contract_ibfk_2` FOREIGN KEY (`provider`) REFERENCES `provider` (`cif`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Restriccions per a la taula `document`
--
ALTER TABLE `document`
  ADD CONSTRAINT `document_ibfk_1` FOREIGN KEY (`community`) REFERENCES `community` (`cif`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Restriccions per a la taula `economicsummary`
--
ALTER TABLE `economicsummary`
  ADD CONSTRAINT `economicsummary_ibfk_1` FOREIGN KEY (`id`) REFERENCES `document` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Restriccions per a la taula `hasrole`
--
ALTER TABLE `hasrole`
  ADD CONSTRAINT `hasrole_ibfk_1` FOREIGN KEY (`community`) REFERENCES `community` (`cif`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `hasrole_ibfk_2` FOREIGN KEY (`user`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `hasrole_ibfk_3` FOREIGN KEY (`role`) REFERENCES `role` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Restriccions per a la taula `invoice`
--
ALTER TABLE `invoice`
  ADD CONSTRAINT `invoice_ibfk_1` FOREIGN KEY (`id`) REFERENCES `document` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `invoice_ibfk_2` FOREIGN KEY (`refurbishment`) REFERENCES `refurbishment` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `invoice_ibfk_3` FOREIGN KEY (`provider`) REFERENCES `provider` (`cif`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Restriccions per a la taula `joincommunity`
--
ALTER TABLE `joincommunity`
  ADD CONSTRAINT `joincommunity_ibfk_1` FOREIGN KEY (`community`) REFERENCES `community` (`cif`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `joincommunity_ibfk_2` FOREIGN KEY (`user`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Restriccions per a la taula `meeting`
--
ALTER TABLE `meeting`
  ADD CONSTRAINT `meeting_ibfk_1` FOREIGN KEY (`community`) REFERENCES `community` (`cif`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Restriccions per a la taula `otherdocuments`
--
ALTER TABLE `otherdocuments`
  ADD CONSTRAINT `otherdocuments_ibfk_1` FOREIGN KEY (`id`) REFERENCES `document` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Restriccions per a la taula `phone`
--
ALTER TABLE `phone`
  ADD CONSTRAINT `phone_ibk_1` FOREIGN KEY (`community`) REFERENCES `community` (`cif`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Restriccions per a la taula `provider`
--
ALTER TABLE `provider`
  ADD CONSTRAINT `provider_ibfk_1` FOREIGN KEY (`profession`) REFERENCES `profession` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Restriccions per a la taula `refurbishment`
--
ALTER TABLE `refurbishment`
  ADD CONSTRAINT `refurbishment_ibfk_1` FOREIGN KEY (`provider`) REFERENCES `provider` (`cif`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `refurbishment_ibfk_2` FOREIGN KEY (`community`) REFERENCES `community` (`cif`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `refurbishment_ibfk_4` FOREIGN KEY (`workState`) REFERENCES `workstate` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Restriccions per a la taula `statement`
--
ALTER TABLE `statement`
  ADD CONSTRAINT `statement_ibfk_1` FOREIGN KEY (`id`) REFERENCES `document` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `statement_ibfk_2` FOREIGN KEY (`user`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `statement_ibfk_3` FOREIGN KEY (`meeting`) REFERENCES `meeting` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Restriccions per a la taula `worksto`
--
ALTER TABLE `worksto`
  ADD CONSTRAINT `worksto_ibfk_1` FOREIGN KEY (`community`) REFERENCES `community` (`cif`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `worksto_ibfk_2` FOREIGN KEY (`provider`) REFERENCES `provider` (`cif`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `worksto_ibfk_3` FOREIGN KEY (`role`) REFERENCES `role` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
